Drop down to CMake 2.8.11, and drop INTERFACE since that version doesn't
support it.
diff --git a/CMakeLists.txt b/CMakeLists.txt
index a1ef15a..41c7e4b 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -1,4 +1,4 @@
-cmake_minimum_required (VERSION 2.8.12)
+cmake_minimum_required (VERSION 2.8.11)
 project (benchmark)
 
 option(BENCHMARK_ENABLE_TESTING "Enable testing of the benchmark library." ON)
diff --git a/src/CMakeLists.txt b/src/CMakeLists.txt
index 3d3d72c..90e7b89 100644
--- a/src/CMakeLists.txt
+++ b/src/CMakeLists.txt
@@ -20,7 +20,7 @@
 add_library(benchmark ${SOURCE_FILES} ${RE_FILES})
 
 find_package(Threads REQUIRED)
-target_link_libraries(benchmark INTERFACE ${CMAKE_THREAD_LIBS_INIT})
+target_link_libraries(benchmark ${CMAKE_THREAD_LIBS_INIT})
 
 set_target_properties(benchmark PROPERTIES
   OUTPUT_NAME "benchmark"